This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 489227 - verify perl requires in libgnomeprint22
verify perl requires in libgnomeprint22
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libgnomeprint22 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOLPCDelta FedoraMini/Mobility
  Show dependency treegraph
 
Reported: 2009-03-08 17:34 EDT by Peter Robinson
Modified: 2009-04-11 17:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-11 13:52:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2009-03-08 17:34:53 EDT
Looking at the explicit requires of libgnomeprint22 I can't see a reason for the requirement of perl in the package. There are no perl scripts in the rpm (and they would automatically add perl) and there are no scripts that are run as part of rpm install/remove. It would be great if this could be removed so perl can be removed from some of the smaller Fedora distros like OLPC
Comment 1 Matthias Clasen 2009-03-09 10:12:05 EDT
I can't see anything either, so feel free to remove that Requires.
Comment 2 Peter Robinson 2009-03-09 12:35:00 EDT
Thanks. This change has been made and built for rawhide.

Interestingly the build failed twice for no apparent reason. First time i586 failed, second time i586 passed and ppc failed. Third time lucky!
First:
http://koji.fedoraproject.org/koji/getfile?taskID=1231945&name=build.log
Second:
http://koji.fedoraproject.org/koji/getfile?taskID=1232091&name=build.log
Third:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1232118
Comment 3 Peter Robinson 2009-04-11 13:52:41 EDT
Closing as fixed.
Comment 4 Dominik 'Rathann' Mierzejewski 2009-04-11 17:53:32 EDT
Can we have this fixed for F-10/F-9 as well?

Note You need to log in before you can comment on or make changes to this bug.